import { TableRowSelection } from 'antd/es/table/interface';
import { Key } from 'react';
interface UseRowSelectionReturnType<T = any> {
    selectedRowKeys: Key[];
    clean: () => void;
    onSelect: TableRowSelection<T>['onSelect'];
    onSelectAll: TableRowSelection<T>['onSelectAll'];
}
/** 处理table跨页多选的hook */
declare const useRowSelection: (rowKey?: string) => UseRowSelectionReturnType;
export default useRowSelection;
