import { j as n } from "../../../node_modules/react/jsx-runtime.mjs";
import { useContext as pe, useState as Q, useMemo as w, useRef as W, useEffect as Ne, useCallback as ve } from "react";
import { isMobile as T } from "../../../node_modules/react-device-detect/dist/lib.mjs";
import { theme as Ce, Table as R } from "antd";
import Te from "../../BitzDrawer/index.mjs";
import ke from "../../BitzPagination/index.mjs";
import Be from "../../BitzNoData/index.mjs";
import ze, { TableContext as Me } from "../Store/index.mjs";
import Le from "../TableSkeleton/index.mjs";
import { columnSort as Y, genColumnKey as Z } from "../Store/utils/index.mjs";
import $ from "../../../node_modules/ahooks/es/useSize/index.mjs";
import "./index.less.mjs";
import "../../BitzList/index.less.mjs";
import S from "../../BitzList/List.mjs";
import "../../BitzPullRefresh/style/index.less.mjs";
import He from "../../BitzPullRefresh/PullRefresh.mjs";
import I from "../../../node_modules/lodash-es/at.mjs";
function Pe({
  showPagination: p = !0,
  fillEvenRow: A = !0,
  evenRowBgColor: O = "#f9f9f9",
  height: N,
  dataSource: r = [],
  total: k = 0,
  columns: g,
  loading: B = !1,
  skeletonNum: We = 2,
  skeletonRender: Re,
  skeletonRowNum: $e = 4,
  skeletonRowsWidth: Ae = ["35%", "100%", "100%", "60%"],
  mobileLoadEmit: V,
  mobileRefreshEmit: m,
  operationFilter: z,
  enableControlPage: ee,
  pagination: ne,
  paginationEmit: le = () => {
  },
  mobilePageHeight: Oe = 500,
  mobileCancelText: se = "取消",
  noDataTitle: re,
  noDataImg: oe,
  color: Ve,
  size: D,
  showTableTool: ie = !0,
  tableAction: te,
  tableToolbar: ae,
  selectionBar: de,
  scroll: a,
  resetPage: he,
  ...d
}) {
  const { token: xe } = Ce.useToken(), h = pe(Me), [fe, M] = Q(!1), E = w(() => !!(r != null && r.length) && (r == null ? void 0 : r.length) >= k, [r, k]), [be, ce] = Q([]), K = (l, s) => {
    var t;
    const e = (t = z == null ? void 0 : z(l, s)) == null ? void 0 : t.filter(
      (i) => i.type !== "divider"
    );
    e != null && e.length && (ce(e), M(!0));
  }, _ = () => {
    M(!1);
  }, ge = (l) => {
    var s;
    M(!1), (s = l.onClick) == null || s.call(l);
  }, u = W(null), j = $(u), L = W(null), H = $(L), U = W(null), y = $(U), ue = (l) => {
    var G, J;
    const s = l.length, e = l.filter((c) => c.width), i = e.map((c) => c.width).reduce((c, we) => c + we, 0);
    let x = 0;
    if (u.current) {
      const c = window.getComputedStyle(u.current);
      x = parseInt(c.getPropertyValue("--toolCell-width"));
    }
    let o = 0;
    d.rowSelection && (o += x), d.expandable && (o += x);
    const b = (J = (G = L.current) == null ? void 0 : G.querySelector(
      ".ant-table-body"
    )) == null ? void 0 : J.clientWidth, C = parseInt(`${v.x}`) || 0, ye = Math.max(C, b), F = (parseInt(`${ye}`) || 0) - i - o;
    return F >= 0 ? F / (s - e.length) : void 0;
  }, { y: P } = w(() => {
    if (typeof N > "u")
      return {};
    let l = 40, s = 40, e = 10;
    if (u.current) {
      const b = window.getComputedStyle(u.current);
      l = parseInt(b.getPropertyValue("--cell-block")), s = parseInt(b.getPropertyValue("--toolbar-height")), e = parseInt(b.getPropertyValue("--container-gap")) || 0;
    }
    const t = (y == null ? void 0 : y.height) || 0, i = t ? e : 0;
    return { y: N - t - i - s - l };
  }, [
    N,
    y == null ? void 0 : y.height,
    j == null ? void 0 : j.height,
    H == null ? void 0 : H.height
  ]), v = w(() => a != null && a.x ? { x: a.x, y: a.y || P } : a != null && a.y ? { x: 1e3, y: a.y } : { x: 1e3, y: P }, [a, P]), f = w(() => {
    const l = (x) => x.map((o) => {
      const b = Z(
        (o == null ? void 0 : o.key) || (o == null ? void 0 : o.dataIndex),
        o.index
      ), C = h.columnsMap[b];
      return C && C.show === !1 ? !1 : o.children ? {
        ...o,
        children: l(o.children)
      } : o;
    }).filter(Boolean), s = l(g);
    if (T)
      return s.sort(Y(h.columnsMap));
    const e = s.sort(Y(h.columnsMap)), t = ue(e), i = e.map((x) => ({
      ...x,
      ...x.width ? {} : {
        // 给未设置width的列设置平均数
        width: t
      }
    }));
    return [R.SELECTION_COLUMN, R.EXPAND_COLUMN, ...i];
  }, [
    h.columnsMap,
    g,
    T,
    v.x,
    d.rowSelection,
    d.expandable,
    j == null ? void 0 : j.height
  ]);
  Ne(() => {
    if (g && g.length > 0) {
      const l = g.map(
        (s) => (
          // @ts-ignore
          Z((s == null ? void 0 : s.key) ?? (s == null ? void 0 : s.dataIndex), s == null ? void 0 : s.dataIndex)
        )
      );
      h.setSortKeyColumns(l);
    }
  }, [g]);
  const je = w(() => `${D ?? (h == null ? void 0 : h.tableSize) ?? "lg"}BitzTable`, [D, h.tableSize]), X = w(() => ({
    "--evenRow-BgColor": O
    // '--tableBody-bootomBorderColor': token.Table?.borderColor || '#f0f0f0',
  }), [
    O
    /** token.Table?.borderColor */
  ]), q = ve(
    (l, s) => A ? s % 2 === 0 ? "oddRow" : "evenRow" : "",
    [A]
  );
  return /* @__PURE__ */ n.jsxs("div", { className: "bitzTableBlock", children: [
    !T && /* @__PURE__ */ n.jsxs(
      "div",
      {
        ref: u,
        className: `bitzTableContainer ${je}`,
        style: { height: N },
        children: [
          /* @__PURE__ */ n.jsxs("div", { className: "bitzTableContainerBody", ref: L, children: [
            ie && /* @__PURE__ */ n.jsxs("div", { className: "bitzTableToolbarBlock", children: [
              te || /* @__PURE__ */ n.jsx("div", {}),
              ae,
              (d == null ? void 0 : d.rowSelection) && /* @__PURE__ */ n.jsx(n.Fragment, { children: de })
            ] }),
            /* @__PURE__ */ n.jsx(
              R,
              {
                columns: f,
                dataSource: r,
                loading: !1,
                pagination: !1,
                scroll: v,
                ...d,
                style: X,
                rowClassName: q
              }
            ),
            /* @__PURE__ */ n.jsx(
              Le,
              {
                columns: f,
                dataLength: r.length,
                scroll: v,
                rowSelection: d.rowSelection,
                expandable: d.expandable,
                style: X,
                rowClassName: q,
                loading: B
              }
            )
          ] }),
          p && /* @__PURE__ */ n.jsx(
            ke,
            {
              elRefInstance: U,
              enableControl: ee,
              pagination: ne,
              total: k,
              dataSource: r,
              resetPage: he,
              paginationEmit: le
            }
          )
        ]
      }
    ),
    T && /* @__PURE__ */ n.jsxs(n.Fragment, { children: [
      (B || (r == null ? void 0 : r.length) > 0) && // @ts-ignore
      /* @__PURE__ */ n.jsx(n.Fragment, { children: m ? /* @__PURE__ */ n.jsx(He, { onRefresh: m, children: /* @__PURE__ */ n.jsx(
        S,
        {
          finished: E,
          onLoad: V,
          loadingText: "加载中...",
          finishedText: "没有更多了",
          errorText: "加载失败",
          children: /* @__PURE__ */ n.jsx("div", { className: "mobileTable", children: r == null ? void 0 : r.map((l, s) => /* @__PURE__ */ n.jsx(
            "div",
            {
              className: "mobileTableRow",
              onClick: () => K(l, s),
              children: /* @__PURE__ */ n.jsx("div", { className: "rowBox", children: f == null ? void 0 : f.map(
                (e, t) => {
                  var i;
                  return /* @__PURE__ */ n.jsx("div", { children: !(e != null && e.mobileHide) && /* @__PURE__ */ n.jsxs("div", { className: "row", children: [
                    !e.mobileHideLabel && /* @__PURE__ */ n.jsxs("div", { className: "label", children: [
                      `${e.title}`,
                      "："
                    ] }),
                    /* @__PURE__ */ n.jsx("div", { className: "value", children: ((i = e == null ? void 0 : e.render) == null ? void 0 : i.call(
                      e,
                      I(l, (e == null ? void 0 : e.dataIndex) || ""),
                      l,
                      s
                    )) || (l == null ? void 0 : l[e.dataIndex]) })
                  ] }) }, t);
                }
              ) })
            },
            s
          )) })
        }
      ) }) : /* @__PURE__ */ n.jsx(
        S,
        {
          finished: E,
          onLoad: V,
          loadingText: "加载中...",
          finishedText: "没有更多了",
          errorText: "加载失败",
          children: /* @__PURE__ */ n.jsx("div", { className: "mobileTable", children: r == null ? void 0 : r.map((l, s) => /* @__PURE__ */ n.jsx(
            "div",
            {
              className: "mobileTableRow",
              onClick: () => K(l, s),
              children: /* @__PURE__ */ n.jsx("div", { className: "rowBox", children: f == null ? void 0 : f.map(
                (e, t) => {
                  var i;
                  return /* @__PURE__ */ n.jsx("div", { children: !(e != null && e.mobileHide) && /* @__PURE__ */ n.jsxs("div", { className: "row", children: [
                    !e.mobileHideLabel && /* @__PURE__ */ n.jsxs("div", { className: "label", children: [
                      `${e.title}`,
                      "："
                    ] }),
                    /* @__PURE__ */ n.jsx("div", { className: "value", children: ((i = e == null ? void 0 : e.render) == null ? void 0 : i.call(
                      e,
                      I(l, (e == null ? void 0 : e.dataIndex) || ""),
                      l,
                      s
                    )) || (l == null ? void 0 : l[e.dataIndex]) })
                  ] }) }, t);
                }
              ) })
            },
            s
          )) })
        }
      ) }),
      !B && /* @__PURE__ */ n.jsx(Be, { data: r, title: re, img: oe }),
      /* @__PURE__ */ n.jsx(
        Te,
        {
          className: "tableMobileDrawer",
          open: fe,
          placement: "bottom",
          height: "auto",
          closable: !1,
          onClose: _,
          children: /* @__PURE__ */ n.jsxs("div", { className: "drawerBox", children: [
            /* @__PURE__ */ n.jsx("div", { className: "boxBody", children: be.map((l, s) => /* @__PURE__ */ n.jsx(
              "div",
              {
                className: "operaList",
                onClick: () => ge(l),
                ...l.danger && {
                  style: { color: xe.colorError }
                },
                children: l.label
              },
              s
            )) }),
            /* @__PURE__ */ n.jsx("div", { className: "boxLine" }),
            /* @__PURE__ */ n.jsx("div", { className: "boxFooter", onClick: _, children: se })
          ] })
        }
      )
    ] })
  ] });
}
const nn = (p) => (
  // @ts-ignore
  /* @__PURE__ */ n.jsx(ze, { initValue: p, children: /* @__PURE__ */ n.jsx(Pe, { ...p }) })
);
export {
  nn as default
};
